Bug 189417 - rpmbuild --rebuild control-center-2.14.1-1.fc5.2.src.rpm fails
Summary: rpmbuild --rebuild control-center-2.14.1-1.fc5.2.src.rpm fails
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-19 20:59 UTC by Mads Villadsen
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 18:47:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mads Villadsen 2006-04-19 20:59:38 UTC
Description of problem:
I am trying to rebuild control-center to get a control-center-devel package, but
the compilation fails.

Version-Release number of selected component (if applicable):
control-center 2.14.1-1.fc5.2

How reproducible:
Always


Steps to Reproduce:
1. rpmbuild --rebuild control-center-2.14.1-1.fc5.2.src.rpm fails
2. Everything seems to compile fine until this line appears:

Making all in help
make[2]: Entering directory `/home/maxx/rpmbuild/BUILD/control-center-2.14.1/help'
xsltproc -o control-center-C.omf --stringparam db2omf.basename control-center
--stringparam db2omf.format 'docbook' --stringparam db2omf.dtd <!DOCTYPE article
PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [ --stringparam
db2omf.lang C --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam
db2omf.help_dir "/usr/share/gnome/help" --stringparam db2omf.omf_in
"`pwd`/./control-center.omf.in" `/usr/bin/pkg-config --variable db2omf
gnome-doc-utils` C/control-center.xml
/bin/sh: !DOCTYPE: No such file or directory
/bin/sh: 31mPUBLIC: command not found
make[2]: *** [control-center-C.omf] Error 127
make[2]: Leaving directory `/home/maxx/rpmbuild/BUILD/control-center-2.14.1/help'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/maxx/rpmbuild/BUILD/control-center-2.14.1'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.36619 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.36619 (%build)

Comment 1 Bastien Nocera 2007-02-15 18:47:09 UTC
There's no -devel package for the control-center in FC5 (I guess you were trying
to get the compiz RPMs working ;)

Use FC6 instead, it has all the bits you need.


Note You need to log in before you can comment on or make changes to this bug.